## ros-melodic-bagger 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(bagger)

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++11)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  roslint
  message_generation
)

## Lint!
set(ROSLINT_CPP_OPTS "--filter=-whitespace/braces,-build/header_guard")
roslint_cpp()

## Generate messages in the 'msg' folder
add_message_files(
   FILES
   BaggingState.msg
 )

## Generate services in the 'srv' folder
add_service_files(
  FILES
  SetBagState.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
   DEPENDENCIES
   std_msgs
)

###################################
## catkin specific configuration ##
###################################

## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS message_runtime std_msgs
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include 
  ${catkin_INCLUDE_DIRS}
)

## Declare a C++ executable
add_executable(bagger src/bagger.cpp)

## Add generated messages as a dependency of the bagger executable
add_dependencies(bagger bagger_generate_messages_cpp)

target_link_libraries(bagger
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)
  
install(DIRECTORY test/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test USE_SOURCE_PERMISSIONS)  
  
install(DIRECTORY scripts/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/scripts USE_SOURCE_PERMISSIONS)

## Mark executables and/or libraries for installation
install(TARGETS bagger
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/test_bagger_node.test)
endif()

## ros-melodic-bagger 0.1.3

=== debian/changelog ===
ros-melodic-bagger (0.1.3-0stretch) stretch; urgency=high

  * Infer and publish bag names and directories for each bag profile
  * Add CL option to not decompress bags.  Fixes #4 <https://github.com/squarerobot/bagger/issues/4>
  * Contributors: Brenden Gibbons

 -- Brenden Gibbons <bgibbons@squarerobots.com>  Thu, 04 Oct 2018 04:00:00 -0000

ros-melodic-bagger (0.1.2-0stretch) stretch; urgency=high

  * Fix some urls and Fix #1 <https://github.com/squarerobot/bagger/issues/1>
  * Contributors: Brenden Gibbons

 -- Brenden Gibbons <bgibbons@squarerobots.com>  Thu, 12 Jul 2018 04:00:00 -0000

ros-melodic-bagger (0.1.1-0stretch) stretch; urgency=high

  * Initial Commit
  * Contributors: Brenden Gibbons

 -- Brenden Gibbons <bgibbons@squarerobots.com>  Fri, 29 Jun 2018 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-bagger
Section: misc
Priority: extra
Maintainer: Brenden Gibbons <bgibbons@squarerobots.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rostest, ros-melodic-std-msgs
Homepage: http://www.ros.org/wiki/bagger
Standards-Version: 3.9.2

Package: ros-melodic-bagger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-rosbag, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-std-msgs
Description: An application used to systematically record rosbags

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-bagger//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-bagger 0.1.4

=== debian/changelog ===
ros-melodic-bagger (0.1.4-1bionic) bionic; urgency=high

  * Proper waiting for record processing. Fixes #6 <https://github.com/squarerobot/bagger/issues/6>
  * Fix test timing synchronisity issue.
    Tests were beginning before the last test's latest bag_states message
    was published.
  * Contributors: Brenden Gibbons

 -- Brenden Gibbons <bgibbons@squarerobots.com>  Mon, 26 Apr 2021 04:00:00 -0000

ros-melodic-bagger (0.1.3-1bionic) bionic; urgency=high

  * Infer and publish bag names and directories for each bag profile
  * Add CL option to not decompress bags.  Fixes #4 <https://github.com/squarerobot/bagger/issues/4>
  * Contributors: Brenden Gibbons

 -- Brenden Gibbons <bgibbons@squarerobots.com>  Thu, 04 Oct 2018 04:00:00 -0000

ros-melodic-bagger (0.1.2-1bionic) bionic; urgency=high

  * Fix some urls and Fix #1 <https://github.com/squarerobot/bagger/issues/1>
  * Contributors: Brenden Gibbons

 -- Brenden Gibbons <bgibbons@squarerobots.com>  Thu, 12 Jul 2018 04:00:00 -0000

ros-melodic-bagger (0.1.1-1bionic) bionic; urgency=high

  * Initial Commit
  * Contributors: Brenden Gibbons

 -- Brenden Gibbons <bgibbons@squarerobots.com>  Fri, 29 Jun 2018 04:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ros-melodic-bagger
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Brenden Gibbons <bgibbons@squarerobots.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rostest, ros-melodic-std-msgs
 Homepage: http://www.ros.org/wiki/bagger
